
Summary:	A MIME capable implementation of the mailx command
Name:		nail
Version:	12.2
Release:	%mkrel 1
License:	BSD
Group:		Networking/Mail
Source:		mailx-%{version}.tar.bz2
# (mpol) 11.25 set PAGER to less, Mandriva doesn't provide pg
Patch1:		nail-11.25-pager.patch.bz2
URL:		http://heirloom.sourceforge.net/mailx.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openssl-devel
Provides:	mailx = %version-%release
Obsoletes:	mailx

%description
Nail is derived from Berkeley Mail and is intended to provide the
functionality of the POSIX.2 mailx command with additional support
for MIME, UTF-8, POP3/POP3s, IMAP, SMTP (SSL, TLS, AUTH), S/MIME,
Maildir, and more. It provides enhanced features for interactive use,
such as caching and disconnected operation for IMAP, message threading,
scoring, filtering, and Bayesian junk mail filter. It is also usable
as a mail batch language, both for sending and receiving mail.

Since version 12.0 Nail has been integrated into the Heirloom project,
renamed to Mailx.


%prep
%setup -q -n mailx-%{version}
%patch1 -p1 -b .pager

%build
# 11.25; parallel make broken
make SENDMAIL=/usr/sbin/sendmail

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
%makeinstall_std PREFIX=%{_prefix} UCBINSTALL=/usr/bin/install
install -d  $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%{_bindir}/mailx $RPM_BUILD_ROOT/bin/mail
ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/nail
ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/mailx
ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/Mail
ln -sf mailx.1 $RPM_BUILD_ROOT%{_mandir}/man1/mail.1
ln -sf mailx.1 $RPM_BUILD_ROOT%{_mandir}/man1/Mail.1
ln -sf mailx.1 $RPM_BUILD_ROOT%{_mandir}/man1/nail.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS INSTALL README TODO ChangeLog
%config(noreplace) %{_sysconfdir}/nail.rc
/bin/mail
%{_bindir}/nail
%{_bindir}/mailx
%{_bindir}/Mail
%{_mandir}/man1/mailx.1.bz2
%{_mandir}/man1/Mail.1.bz2
%{_mandir}/man1/mail.1.bz2
%{_mandir}/man1/nail.1.bz2


%changelog
* Thu Jan 18 2007 Gustavo De Nardin <gustavodn@mandriva.com> 12.2-1mdv2007.0
+ Revision: 110448
- new version 12.2
- more generous description
- keep package name, but handle upstream rename (nail->mailx, since 12.0)

* Thu Jan 18 2007 Gustavo De Nardin <gustavodn@mandriva.com> 11.25-2mdv2007.1
+ Revision: 110391



* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 11.25-2mdk
- rebuilt against openssl-0.9.8a

* Sun Jul 31 2005 Marcel Pol <mpol@mandriva.org> 11.25-1mdk
- 11.25
- P1: set PAGER to less, Mandriva doesn't provide pg (bug #16844)
- parallel make broken

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 11.24-1mdk
- New release 11.24

* Tue Jun 14 2005 Frederic Lepied <flepied@mandriva.com> 11.22-2mdk
- sendmail is in /usr/sbin

* Thu Jun  2 2005 Stew Benedict <sbendict@mandriva.com> 11.22-1mdk
- 11.22
- provide mailx symlink for LSB and additional symlinks to replace mailx
- provides/obsoletes mailx

* Mon May 31 2004 Marcel Pol <mpol@mandrake.org> 10.7-1mdk
- 10.7

* Tue Nov 18 2003 Marcel Pol <mpol@gmx.net> 10.6-1mdk
- 10.6
- fix description

* Mon May 05 2003 Marcel Pol <mpol@gmx.net> 10.5-1mdk
- initial mandrake release
